### Class

# FwupdPlugin TpmEventlogItem

#### Description

    final class FwupdPlugin.TpmEventlogItem : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_tpm_eventlog_item_new

No description available.

since: 2.1.1

#### Functions

###### fu_tpm_eventlog_item_kind_from_string

Converts a string to an enumerated value.

###### fu_tpm_eventlog_item_kind_to_string

Converts an enumerated value to a string.

#### Instance methods

###### fu_tpm_eventlog_item_add_checksum

Adds the checksum of a specific type.

since: 2.1.1

###### fu_tpm_eventlog_item_get_checksum

Gets the raw checksum of a specific type.

since: 2.1.1

###### fu_tpm_eventlog_item_get_kind

Gets the item kind.

since: 2.1.1

###### fu_tpm_eventlog_item_get_pcr

Gets the PCR register.

since: 2.1.1

###### fu_tpm_eventlog_item_set_kind

Sets item kind.

since: 2.1.1

###### fu_tpm_eventlog_item_set_pcr

Sets the PCR register.

since: 2.1.1

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginTpmEventlogItemClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.